Subject: Re: LRO: Looking good

From: [email-masked]
Date: Mon, 28 May 2001 21:56:12 EDT

David Scheidt <[email-masked]>posted:
 
<<I've had experiences that suggest that series rovers work pretty well as
chick magnents, particularly soft tops.  Works at least until they notice
the lack of radio, air-con, and any sort of sound-deadening.>>

Series Land Rovers can serve as both chick magnet as well as filter.  It can 
repell certain types while attracting others.  

In the early seventies I was astounded to discover that my 1951 Studebaker 
Pickup Truck worked very nicely as a chick magnet for very down-to-earth 
women.

Paul Donohue
1965 Land Rover 109
Denver